package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type BotDeptImpl struct {
	dataTemp.DataTemp
}

func NewBotDeptImpl(db *utils.Db) *BotDeptImpl {
	return &BotDeptImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiBotDept)),
	}
}
